do_ellipse(3)

NAME
do_ellipse - Calculates all the points in an ellipse. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void do_ellipse(BITMAP *bmp, int x, int y, int rx, ry, int d, void (*proc)(BITMAP *bmp, int x, int y, int d));

DESCRIPTION
Calculates all the points in an ellipse around point (x, y) with radius rx and ry, calling the supplied function for each one. This will be passed a copy of the bmp parameter, the x and y position, and a copy of the d parameter, so it is suitable for use with putpixel(). Example:
   void draw_explosion_ring(BITMAP *bmp, int x, int y, int d)
   {
      ...
   }

      do_ellipse(screen, SCREEN_W/2, SCREEN_H/2,
                SCREEN_H/16, SCREEN_H/32, flame_color,
                draw_explosion_ring);

SEE ALSO
do_circle(3), do_arc(3), do_line(3), ellipse(3), ellipsefill(3)